apiVersion: v1
kind: Template
labels:
  app: gerrit
  template: gerrit-secret
metadata:
  annotations:
    description: Gerrit - Secrets
      see https://gitlab.com/synacksynack/opsperator/docker-gerrit
    iconClass: icon-openshift
    openshift.io/display-name: Gerrit
    tags: gerrit
  name: gerrit-secret
objects:
- apiVersion: v1
  kind: Secret
  metadata:
    annotations:
      template.openshift.io/expose-admpassword: "{.data['database-admin-password']}"
      template.openshift.io/expose-database_host: "{.data['database-host']}"
      template.openshift.io/expose-database_name: "{.data['database-name']}"
      template.openshift.io/expose-password: "{.data['database-password']}"
      template.openshift.io/expose-username: "{.data['database-user']}"
    name: gerrit-${FRONTNAME}
  stringData:
    database-admin-password: "${GERRIT_MYSQL_ADMIN_PASS}"
    database-host: "${GERRIT_MYSQL_HOST}"
    database-name: "${GERRIT_MYSQL_DATABASE}"
    database-password: "${GERRIT_MYSQL_PASS}"
    database-user: "${GERRIT_MYSQL_USER}"
parameters:
- name: FRONTNAME
  description: The name identifier assigned to objects defined in this template
  displayName: Name
  required: true
  value: demo
- name: GERRIT_MYSQL_ADMIN_PASS
  description: Gerrit MySQL Admin service account password
  displayName: Gerrit MySQL Admin Password
  from: '[a-zA-Z0-9]{40}'
  generate: expression
  required: true
- name: GERRIT_MYSQL_DATABASE
  description: Gerrit MySQL database name
  displayName: Gerrit MySQL Database
  required: true
  value: gerrit
- name: GERRIT_MYSQL_HOST
  description: Gerrit MySQL Host Address or FQDN
  displayName: Gerrit MySQL Host
  required: true
  value: mysql-gerrit.demo.local
- name: GERRIT_MYSQL_PASS
  description: Gerrit MySQL service account password
  displayName: Gerrit MySQL Password
  from: '[a-zA-Z0-9]{40}'
  generate: expression
  required: true
- name: GERRIT_MYSQL_USER
  description: Gerrit MySQL service account username
  displayName: Gerrit MySQL Username
  required: true
  value: sw33t
